# Channels

Get a list of notification channels for the current user.

Endpoint: GET /api/v1/user/channels/
Version: 1.0.0
Security: apikeyAuth

## Response 200 fields (application/json):

  - `channels` (array)

  - `channels._id` (string)
    Channel ID

  - `channels.type` (string)
    Type of channel, "webhook" or "email".

  - `channels.webhookURL` (string)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `channels.frequency` (string)
    Frequency of notifications ("live", "hourly", or "daily").

  - `channels.emailAddresses` (array)
    Email addresses receiving the notifications.

  - `channels.utcTime` (string)
    24 hour UTC time that daily emails are sent (e.g. 09:00).

  - `channels.name` (string)
    Name of the subscription.

  - `channels.isActive` (boolean)
    Whether the channel is active.

  - `channels.isDefault` (boolean)
    Whether the channel is the default (default: false).

  - `channels.ignoreTime` (boolean)
    Whether to ignore time constraints (default: false).

  - `channels.weekDays` (array)
    Days of the week alerts will be generated.

  - `channels.permissions` (array)

